Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: installatie pakkethandelingen mislukt: systeemprogramma probleem ontdekt.  (gelezen 643 keer)

Offline Chantal

  • Lid
Hoi allemaal,

Sinds een paar maanden heb ik Ubuntu 16.04 LTS.  Ik heb bij het installeren en daarna veel hulp gehad van deze website: https://sites.google.com/site/computertip/

Ik heb al deze tips zo ongeveer wel opgevolgd. Ik heb er daarnaast geen gekke dingen opgezet.. Alles zou het dus moeten doen.
Niet dus... Sinds enkele weken krijg ik mijn systeem niet  meer ge-update. Ik heb in de bijlage wat foto´s geplaatst van wat er allemaal niet lukt. Ik heb nog meer foto´s van niet gelukte updates, maar ik weet niet hoe ik die hierin krijg :) De conclusie is altijd: Pakkethandeling is mislukt. Als ik m´n laptop opstart krijg ik de melding : Er is een systeemprogramma probleem ontdekt.
 Ik snap er niks van. Wat kan ik hieraan doen? Ik merk ook dat m´n laptop er last van begint te krijgen; hij is traag en internet doet het vaak niet.

Nu heb ik er voor gekozen om de kernel vast te zetten, zou dat er iets mee te maken hebben?  Ik doe ook maar een gok hoor...

In Ieder geval, alvast bedankt voor de hulp!

Groetjes Chantal [

Online Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Wat geeft dit te zien in de terminal:
sudo apt-get update && sudo apt-get upgrade

Offline Chantal

  • Lid
chantal@chantal-M51Kr:~$ sudo apt-get update && sudo apt-get upgrade
[sudo] wachtwoord voor chantal:
Geraakt:1 http://nl.archive.ubuntu.com/ubuntu xenial InRelease
Geraakt:2 http://nl.archive.ubuntu.com/ubuntu xenial-updates InRelease         
Geraakt:3 http://nl.archive.ubuntu.com/ubuntu xenial-backports InRelease       
Ophalen:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
102 kB opgehaald in 0s (116 kB/s)                                             
Pakketlijsten worden ingelezen... Klaar
N: Negeren van bestand '20auto-upgrades.ucf-dist' in map '/etc/apt/apt.conf.d/' omdat het een ongeldige bestandsextensie heeft
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Opwaardering wordt doorgerekend... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libappstream3 thermald ubuntu-core-launcher
Gebruik 'sudo apt autoremove' om ze te verwijderen.
0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
3 niet volledig geïnstalleerd of verwijderd.
Na deze bewerking zal er 0 B extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n]

Offline vanadium

  • Lid
  • Steunpunt: Nee
We zitten hier weer met die  '20auto-upgrades.ucf-dist' waarschuwing. Haal dat eens weg, en voer het commando nog eens uit:
sudo mv /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist /home

(hiermee staat dat bestand tijdelijk in /home. Je kan het geheel weghalen met "sudo rm /home/20auto-upgrades.ucf-dist")

Offline Chantal

  • Lid
Dus als ik het goed begrijp eerst "sudo rm /home/20auto-upgrades.ucf-dist" invoeren, enter en daarna ´sudo mv /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist /home´ ?

Offline Chantal

  • Lid
Oke, ik heb nu deze code eerst ingevoerd: ´sudo mv /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist /home´
Dan geeft ´ie de volgende melding:

chantal@chantal-M51Kr:~$ sudo mv /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist /home
[sudo] wachtwoord voor chantal:
mv: kan status van '/etc/apt/apt.conf.d/20auto-upgrades.ucf-dist' niet opvragen: Bestand of map bestaat niet

Offline vanadium

  • Lid
  • Steunpunt: Nee
Dan bestaat dat bestand niet alhoewel de foutmelding er melding van maakt? Doe eens "ls /etc/apt/apt.conf.d/". Staat 20auto-upgrades erbij?

Offline Chantal

  • Lid
Volgens mij wel:

00aptitude            15update-stamp         70debconf
00trustcdrom          20archive              88libdvdcss-pkg
01autoremove          20auto-upgrades        99synaptic
01autoremove-kernels  20dbus                 99update-notifier
01-vendor-ubuntu      50appstream
10periodic            50unattended-upgrades

Offline vanadium

  • Lid
  • Steunpunt: Nee
Dan begrijp ik ook niet meer waar de foutmelding vandaan komt. Probeer nog eens het volgende:
- Open "Software & Updates" (sorry, heb Engelstalig systeem)
- Updates tab
- Verzet eens enkele opties (onthou wat ze waren, dan kan je ze terugzetten): je moet je paswoord ingeven. Dit herschrijft het configuratiebestand.
- Voer nu uit "sudo apt update": blijft de melding?

Offline Chantal

  • Lid
Lijkt mij dat ´ie weg is:

[sudo] wachtwoord voor chantal:
Geraakt:1 http://nl.archive.ubuntu.com/ubuntu xenial InRelease
Geraakt:2 http://nl.archive.ubuntu.com/ubuntu xenial-updates InRelease
Geraakt:3 http://security.ubuntu.com/ubuntu xenial-security InRelease
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Alle pakketten zijn up-to-date.
chantal@chantal-M51Kr:~$

Zou het nu goed moeten zijn dan?

Offline vanadium

  • Lid
  • Steunpunt: Nee
Ja, je kan deze topic als "opgelost" markeren.

Offline Chantal

  • Lid
Hmm... hij geeft wel nog steeds dezelfde melding: ´installeren pakkethandeling mislukt´.
Kan er iets anders aan de hand zijn?

Offline vanadium

  • Lid
  • Steunpunt: Nee
Probeer eens via de terminal te installeren. Gaat het dan wel? Indien ja, dan is het enkel een probleem met Gnome software centrum. Indien nee, dan is er een (ernstiger) probleem met je pakketbeheer. Installeer als test eens vorbisgain (een klein pakketje) met de volgende commando's
sudo apt-get update
sudo apt-get install vorbisgain
Als je geen foutmeldingen hebt, controleer dan nog eens of het programma goed geïnstalleerd is door het als volgt op te roepen:
vorbisgain --help
Zo weet je meteen ook waarvoor het programmaatje dient  =D
Je kan het terug verwijderen met
sudo apt-get remove vorbisgain
Als dit allemaal feilloos lukt, dan is het probleem alleen aan software centrum te wijten. Anders is er nog steeds een dieper systeemprobleem. Post je output hier zodat we kunnen volgen.

Offline Chantal

  • Lid
Nee, lukt niet feilloos:
De update ging goed, het installeren van Vobisgain niet:

chantal@chantal-M51Kr:~$ sudo apt-get update
[sudo] wachtwoord voor chantal:
Geraakt:1 http://nl.archive.ubuntu.com/ubuntu xenial InRelease
Geraakt:2 http://nl.archive.ubuntu.com/ubuntu xenial-updates InRelease
Ophalen:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Ophalen:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [54,2 kB]
Ophalen:5 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [42,4 kB]
Ophalen:6 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [32,1 kB]
Ophalen:7 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [37,0 kB]
268 kB opgehaald in 0s (313 kB/s)                                   
Pakketlijsten worden ingelezen... Klaar
chantal@chantal-M51Kr:~$ sudo apt-get install vorbisgain
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  libappstream3 thermald ubuntu-core-launcher
Gebruik 'sudo apt autoremove' om ze te verwijderen.
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  vorbisgain
0 opgewaardeerd, 1 nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
3 niet volledig geïnstalleerd of verwijderd.
Er moeten 28,0 kB aan archieven opgehaald worden.
Na deze bewerking zal er 94,2 kB extra schijfruimte gebruikt worden.
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu xenial/universe amd64 vorbisgain amd64 0.37-2 [28,0 kB]
28,0 kB opgehaald in 0s (315 kB/s)   
Voorheen niet geselecteerd pakket vorbisgain wordt geselecteerd.
(Database wordt ingelezen ... 219836 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../vorbisgain_0.37-2_amd64.deb wordt voorbereid...
Bezig met uitpakken van vorbisgain (0.37-2) ...
Bezig met afhandelen van triggers voor man-db (2.7.5-1) ...
Instellen van keyboard-configuration (1.108ubuntu15.3) ...
/var/lib/dpkg/info/keyboard-configuration.config: 11: /etc/default/keyboard: Syntax error: Unterminated quoted string
dpkg: fout bij verwerken van pakket keyboard-configuration (--configure):
 subproces post-installation script geïnstalleerd gaf een foutwaarde 2 terug
dpkg: vereistenproblemen verhinderen de configuratie van console-setup-linux:
 console-setup-linux is afhankelijk van keyboard-configuration (= 1.108ubuntu15.3); maar:
  Pakket keyboard-configuration is nog niet geconfigureerd.

dpkg: fout bij verwerken van pakket console-setup-linux (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Er is geen apport-verslag weggeschreven omdat de foutmelding aangeeft dat de fout het gevolg is van een eerdere mislukking.
                                           dpkg: vereistenproblemen verhinderen de configuratie van console-setup:
 console-setup is afhankelijk van console-setup-linux; maar:
  Pakket console-setup-linux is nog niet geconfigureerd.
 console-setup is afhankelijk van keyboard-configuration (= 1.108ubuntu15.3); maar:
  Pakket keyboard-configuration is nog niet geconfigureerd.

dpkg: fout bij verwerken van pakket console-setup (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Er is geen apport-verslag weggeschreven omdat de foutmelding aangeeft dat de fout het gevolg is van een eerdere mislukking.
                                           Instellen van vorbisgain (0.37-2) ...
Fouten gevonden tijdens verwerken van:
 keyboard-configuration
 console-setup-linux
 console-setup
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Vanadium zal je diepgaander verder kunnen helpen.

Ik stel, op het eerste zicht, inderdaad-- en zoals je aangeeft in de titel van deze topic --, dat het een systeemfout is.
Ik stel, voorzichtig, voor om een volledig nieuwe installatie van Ubuntu 16.04.01 LTS uit te voeren, en daarna een volledige update van het systeem.

Wacht vanadium zijn advies eerst af en doe dan wat hij voorstelt...Succes.
« Laatst bewerkt op: 2017/03/23, 18:52:00 door spievensterke »
Testlaptop Toshiba Satellite L500-1C7 - Ubuntu Maté 16.04.2 LTS -64bit- in dualboot met LinuxMint Maté 18.1 -64bit-   Hdd 250GB  Intel Mobile Video /
AcerOne10  ( Hybride, 2 in 1 ) met Ubuntu 16.04.3 LTS -64bit- 32bit Uefi.

Offline vanadium

  • Lid
  • Steunpunt: Nee
Uit je uitvoer vermoed ik dat vorbisgain wel degelijk geïnstalleerd is: type eens "vorbisgain" aan de terminal? Indien niet geïnstalleerd, dan krijg je een "Commando niet gevonden" fout, anders krijg je een kort helpscherm op de terminal.

Enig opzoekwerk doet me vermoeden dat je met een bug te maken hebt:
https://bugs.launchpad.net/ubuntu/+source/console-setup/+bug/1663847

(Versie in het bugrapport daar is exact jou versie). Ik heb evengoed 16.04, maar ben zelf de fout nog niet tegengekomen. Bij mij is diezelfde versie nochthans geïnstalleerd. De bug is als "Belangrijk" gemarkeerd.

Als vorbisgain wel degelijk werkt, dan zou ik nu een beetje afwachten: ik verwacht dan dat je wel degelijk nog kan updaten en programma's kan installeren via de terminal of via synaptic. Alleen zal je bij installatie telkens die foutmeldingen voor dat pakket zien verschijnen.

Als vorbisgain inderdaad niet geïnstalleerd werd, en je dus geheel geen programma's meer kan installeren, dan is dat nog een stuk erger: ik vrees dan dat herinstallatie wel werkt, maar dat je terug kunt vastlopen als je het systeem bijwerkt.

Offline Chantal

  • Lid
Je hebt gelijk, het is wel geïnstalleerd.
Goed, dan update ik vanaf nu via de terminal met ´sudo apt-get update´ en wacht ik af.
En ook al laat ´ie dus die foutmelding zien, ik hoef daar niet perse van wakker te liggen.. :)

Echt heel erg bedankt voor je moeite en het opzoeken!! Super  =D

Ik sluit dit topic als ´opgelost´.



Offline vanadium

  • Lid
  • Steunpunt: Nee
De bug dateert van februari, ik vind dat het nu ruim een maand verder voor een long term release wel lang duurt om dit te corrigeren. Mogelijk hebben niet genoeg mensen er effectief last van om een spoediger reparatie te zien. Gewoon nu en dan zelf eens
sudo apt update && sudo apt upgrade
doen om het systeem bij te werken.

Misschien lukt installatie van een programma via Software Centrum ook wel, zelfs met de foutmelding.

Offline Chantal

  • Lid
Goed, dan doe ik dat.
Wie weet wordt het nog eens gerepareerd.

Nogmaals, dank!